Commit 2428a54e authored by Amadeu Andrade Barbosa Junior's avatar Amadeu Andrade Barbosa Junior
Browse files

OPENBUS-2108

Release do Core 2.0.0

Remoção do openssl-generate.ksh, no 2.0.0 indicaremos no tutorial como gerar chaves e não forneceremos script.
Salvei o script numa pasta no ramo do puts para facilitar o uso com o hudson.
Também removi a pasta specs dos ramos do 2.0.0 pois não fazem mais sentido, visto que já usamos o PUTSv2.


git-svn-id: https://subversion.tecgraf.puc-rio.br/engdist/openbus/core/trunk@135611 ae0415b3-e90b-0410-900d-d0be9363c56b
parent fb5deba6
#!/bin/ksh
# Script para gerao da chave privada e do certificado digital para
# conexo com o OpenBus.
#
# $Id$
# Padro usar do host
OPENSSL_CMD=openssl
sslConfig=
scriptName=$(basename $0)
function usage {
cat << EOF
Uso: $scriptName [opcoes]
onde [opcoes] sao:
-h : ajuda
-c arq : arquivo de configuracao do OpenSSL
-n nome : nome da entidade para a qual a chave privada e o certificado sero gerados
OBS.: se o nome nao for fornecido via '-n' sera obtido interativamente
EOF
}
function die {
echo $@
exit 1
}
function checkOpenSSL {
which openssl > /dev/null 2>&1
if [ $? == "1" ]; then
echo "============================================================="
echo "[ERRO] O aplicativo 'openssl' no foi encontrado."
echo "============================================================="
return 1
fi
}
while getopts "hc:n:" params; do
case $params in
h)
usage
exit 0
;;
c)
sslConfig="-config $OPTARG"
;;
n)
entityName="$OPTARG"
;;
*)
usage
exit 1
;;
esac
done
# descartamos os parametros processados
shift $((OPTIND - 1))
if [ -z "$entityName" ]; then
echo -n "Digite o nome da chave: "
read entityName
fi
# OpenBus configurado, usar nossa instalao. Seno, usar do host.
if [ -n "${OPENBUS_HOME}" ]; then
OPENSSL_CMD="${OPENBUS_HOME}/bin/openssl"
# Verifica se o OpenBus instalou o OpenSSL, caso contrrio, mantm o padro.
if [ -x "${OPENSSL_CMD}" ]; then
export OPENSSL_HOME="${OPENBUS_HOME}/openssl"
else
checkOpenSSL
OPENSSL_CMD=openssl
fi
# Se usurio no informar arquivo de configurao usaremos aquele distribudo no OpenBus.
if [ -z "$sslConfig" ]; then
sslConfig="-config ${OPENBUS_HOME}/openssl/openssl.cnf"
fi
else
checkOpenSSL
fi
echo "============================================================="
echo "Criando certificados para o OpenBus ..."
echo "Comando 'openssl' utilizado : ${OPENSSL_CMD}"
echo "============================================================="
${OPENSSL_CMD} genrsa -out ${entityName}_openssl.key 2048 || exit 1
${OPENSSL_CMD} pkcs8 -topk8 -nocrypt \
-in ${entityName}_openssl.key \
-out ${entityName}.key -outform DER \
|| exit 1
${OPENSSL_CMD} req ${sslConfig} -new -x509 \
-key ${entityName}.key -keyform DER \
-out ${entityName}.crt -outform DER \
|| exit 1
rm -f ${entityName}_openssl.key
echo "============================================================="
echo "Chave privada : ${entityName}.key"
echo "Certificado : ${entityName}.crt"
echo "============================================================="
This diff is collapsed.
#!/bin/ksh
# Para teste sem o hudson
# Configurao para mquina ferradura
#export WORKSPACE=/local/openbus/hudson/jobs/OpenBus/workspace
# Configurao para mquina delaunay
#export WORKSPACE=/local/openbus/hudson/workspace/SPARC
[ -n "$(which lua5.1 2>/dev/null)" ] || \
(echo "ERRO: No encontrei o binrio do lua5.1!" && exit 1)
. ${WORKSPACE}/hudson/openbus.sh
cd ${WORKSPACE}/puts/lua/tools
cp ${WORKSPACE}/hudson/toolsconf.lua .
lua5.1 console.lua --config=toolsconf.lua --compile -verbose --update --force "$@"
#!/bin/ksh
###############################################################################
# Compatibilidade: poder rodar sem o Hudson
if [ -z "${BUILD_NUMBER}" ] ;then
export BUILD_NUMBER=1
echo "[WARN] Varivel de ambiente BUILD_NUMBER no definida: usando '${BUILD_NUMBER}'"
fi
if [ -z "${BUILD_ID}" ] ;then
export BUILD_ID=OpenBus
echo "[WARN] Varivel de ambiente BUILD_ID no definida: usando '${BUILD_ID}'"
fi
###############################################################################
# Limpeza de ambiente
export OPENSSL_HOME=""
export LD_LIBRARY_PATH=""
export LIBRARY_PATH=""
export CPATH=""
export LUA_PATH=""
export LUA_CPATH=""
# Localizao do MAVEN
export M2_HOME="/home/msv/openbus/programas/maven/current"
export DAEMONIZE_HOME="/home/msv/openbus/programas/daemonize"
export M2="${M2_HOME}/bin"
export PATH="${M2}:${HUDSON_HOME}/sbin:${DAEMONIZE_HOME}/sbin/${TEC_UNAME}:${PATH}"
if [ "${TEC_SYSNAME}" == "Linux" ] ;then
# Disparar o 'uuidd' para evitar prender a porta no ACS
[ -n "$(which uuidd 2>/dev/null)"] && uuidd -q
# Localizao do ANT
export ANT_HOME="/home/msv/openbus/programas/ant-1.7.1"
export PATH="${ANT_HOME}/bin:${PATH}"
fi
if [ "${TEC_SYSNAME}" == "SunOS" ] ;then
# Mudana para encontrar o binrio do Lua5.1.
# Caso use-se o binrio do puts pode comentar essas linhas abaixo
export TECTOOLS_HOME="/home/t/tecgraf/lib"
export PATH="${TECTOOLS_HOME}/lua5.1/bin/${TEC_UNAME}:${PATH}"
export JAVA_HOME="/"
fi
###############################################################################
# Variveis de ambiente do OpenBus
export OPENBUS_HOME="${OPENBUS_HOME:-${WORKSPACE}/install}"
###############################################################################
BASEDIR = os.getenv("WORKSPACE")
This diff is collapsed.
# personal settings
setenv PATH "$HOME/bin:$PATH"
# openbus settings
# common path
#setenv OPENBUS_HOME "${HOME}/openbus/install"
setenv OPENSSL_HOME "${OPENBUS_HOME}/openssl"
setenv PATH "${OPENBUS_HOME}/bin:${PATH}"
set OB_CPATH="${OPENBUS_HOME}/include/cxxtest:${OPENBUS_HOME}/include/e2fsprogs-1.40.8:${OPENBUS_HOME}/include/openldap-2.4.11:${OPENBUS_HOME}/include/openssl-1.0.0"
if ($?CPATH == 0) then
setenv CPATH "${OB_CPATH}"
else
setenv CPATH "${OB_CPATH}:${CPATH}"
endif
set OB_LIBRARY_PATH="${OPENBUS_HOME}/lib"
if ($?LIBRARY_PATH == 0) then
setenv LIBRARY_PATH "${OB_LIBRARY_PATH}"
else
setenv LIBRARY_PATH "${OB_LIBRARY_PATH}:${LIBRARY_PATH}"
endif
set OB_LD_LIBRARY_PATH="${OPENBUS_HOME}/lib"
if ($?LD_LIBRARY_PATH == 0) then
setenv LD_LIBRARY_PATH "${OB_LD_LIBRARY_PATH}"
else
setenv LD_LIBRARY_PATH "${OB_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH}"
endif
if ($?TEC_SYSNAME == 1) then
if ($TEC_SYSNAME == 'Darwin') then
set OB_DYLD_LIBRARY_PATH="${OPENBUS_HOME}/lib"
if ($?DYLD_LIBRARY_PATH == 0) then
setenv DYLD_LIBRARY_PATH "${OB_DYLD_LIBRARY_PATH}"
else
setenv DYLD_LIBRARY_PATH "${OB_DYLD_LIBRARY_PATH}:${DYLD_LIBRARY_PATH}"
endif
endif
if ($TEC_SYSNAME == "SunOS" ) then
#fix LD_LIBRARY_PATH on 64bit sunos machines
if ($TEC_UNAME == "SunOS510_64" ) then
if ($?LD_LIBRARY_PATH_64 == 0) then
setenv LD_LIBRARY_PATH_64 "${OB_LD_LIBRARY_PATH}"
else
setenv LD_LIBRARY_PATH_64 "${OB_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH_64}"
endif
endif
#gnu compilers
setenv LIBRARY_PATH "${LIBRARY_PATH}:/usr/sfw/lib:/usr/local/lib:/usr/ucblib"
setenv CPATH "${CPATH}:/usr/sfw/include:/usr/local/include:/usr/ucbinclude"
#sun compilers
setenv LDFLAGS "-L/usr/lib -L/usr/sfw/lib -L/usr/local/lib -L/usr/ucblib"
setenv CPPFLAGS "-I/usr/include -I/usr/sfw/include -I/usr/local/include -I/usr/ucbinclude"
setenv LD_LIBRARY_PATH "${LD_LIBRARY_PATH}:/usr/ucblib:/usr/local/lib:/usr/sfw/lib"
setenv LD_LIBRARY_PATH_64 "/usr/lib/64:/lib/64:/usr/openwin/lib/64:/usr/sfw/lib/64:/usr/local/lib/sparcv9:/usr/ucblib/sparcv9:${LD_LIBRARY_PATH_64}"
setenv PATH "${PATH}:/usr/ucb:/usr/sfw/bin:/usr/local/bin:/usr/ccs/bin"
#openbus flags first
setenv LDFLAGS "-L${OPENBUS_HOME}/lib $LDFLAGS"
setenv CFLAGS "-I${OPENBUS_HOME}/include/e2fsprogs-1.40.8 -I${OPENBUS_HOME}/include/openldap-2.4.11 -I${OPENBUS_HOME}/include/openssl-1.0.0"
#tecmake because it doesn't work with Sun make
setenv TECMAKE_MAKE "/usr/sfw/bin/gmake"
endif
endif
setenv LUA_PATH "${OPENBUS_HOME}/lib/lua/5.1/?.lua;./?.lua"
setenv LUA_CPATH "${OPENBUS_HOME}/lib/lib?.so;./?.so"
# personal settings
export PATH="$HOME/bin:$PATH"
# openbus settings
# common path
#export OPENBUS_HOME="${HOME}/openbus/install"
export OPENSSL_HOME="${OPENBUS_HOME}/openssl"
export PATH="${OPENBUS_HOME}/bin:${PATH}"
OB_CPATH="${OPENBUS_HOME}/include/cxxtest:${OPENBUS_HOME}/include/e2fsprogs-1.40.8:${OPENBUS_HOME}/include/openldap-2.4.11:${OPENBUS_HOME}/include/openssl-1.0.0"
if [ -z ${CPATH} ]; then
export CPATH="${OB_CPATH}"
else
export CPATH="${OB_CPATH}:${CPATH}"
fi
OB_LIBRARY_PATH="${OPENBUS_HOME}/lib"
if [ -z ${LIBRARY_PATH} ]; then
export LIBRARY_PATH="${OB_LIBRARY_PATH}"
else
export LIBRARY_PATH="${OB_LIBRARY_PATH}:${LIBRARY_PATH}"
fi
OB_LD_LIBRARY_PATH="${OPENBUS_HOME}/lib"
if [ -z ${LD_LIBRARY_PATH} ]; then
export LD_LIBRARY_PATH="${OB_LD_LIBRARY_PATH}"
else
export LD_LIBRARY_PATH="${OB_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH}"
fi
if [ "${TEC_SYSNAME}" == "Darwin" ]; then
OB_DYLD_LIBRARY_PATH="${OPENBUS_HOME}/lib"
if [ -z ${DYLD_LIBRARY_PATH} ]; then
export DYLD_LIBRARY_PATH="${OB_DYLD_LIBRARY_PATH}"
else
export DYLD_LIBRARY_PATH="${OB_DYLD_LIBRARY_PATH}:${DYLD_LIBRARY_PATH}"
fi
fi
if [ "${TEC_SYSNAME}" == "SunOS" ] ;then
#fix LD_LIBRARY_PATH on 64bit sunos machines
if [ "${TEC_UNAME}" == "SunOS510_64" ]; then
if [ -z ${LD_LIBRARY_PATH_64} ]; then
export LD_LIBRARY_PATH_64="${OB_LD_LIBRARY_PATH}"
else
export LD_LIBRARY_PATH_64="${OB_LD_LIBRARY_PATH}:${LD_LIBRARY_PATH_64}"
fi
fi
#gnu compilers
export LIBRARY_PATH="${LIBRARY_PATH}:/usr/sfw/lib:/usr/local/lib:/usr/ucblib"
export CPATH="${CPATH}:/usr/sfw/include:/usr/local/include:/usr/ucbinclude"
#sun compilers
export LDFLAGS="-L/usr/lib -L/usr/sfw/lib -L/usr/local/lib -L/usr/ucblib"
export CPPFLAGS="-I/usr/include -I/usr/sfw/include -I/usr/local/include -I/usr/ucbinclude"
export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:/usr/ucblib:/usr/local/lib:/usr/sfw/lib"
export LD_LIBRARY_PATH_64="/usr/lib/64:/lib/64:/usr/openwin/lib/64:/usr/sfw/lib/64:/usr/local/lib/sparcv9:/usr/ucblib/sparcv9:${LD_LIBRARY_PATH_64}"
export PATH="${PATH}:/usr/ucb:/usr/sfw/bin:/usr/local/bin:/usr/ccs/bin"
#openbus flags first
export LDFLAGS="-L${OPENBUS_HOME}/lib $LDFLAGS"
export CFLAGS="-I${OPENBUS_HOME}/include/e2fsprogs-1.40.8 -I${OPENBUS_HOME}/include/openldap-2.4.11 -I${OPENBUS_HOME}/include/openssl-1.0.0"
#tecmake because it doesn't work with Sun make
export TECMAKE_MAKE=/usr/sfw/bin/gmake
fi
export LUA_PATH="${OPENBUS_HOME}/lib/lua/5.1/?.lua;./?.lua"
export LUA_CPATH="${OPENBUS_HOME}/lib/lib?.so;${OPENBUS_HOME}/lib/liblua?.so;./?.so"
#
# source this file (. /usr/local/mico/mico.sh) in sh,ksh,zsh,bash to set
# up paths for MICO.
#
prefix="${OPENBUS_HOME}"
exec_prefix="${prefix}"
MICODIR="$exec_prefix"
MICOSHAREDDIR="$prefix"
MICOVERSION=` sed -n '/MICO_VERSION/ { y/b/./; s#^[^"]*"\([^"]*\)".*$#\1#p; }' \
"$MICODIR/include/mico-2.3.13-multithread-debug/mico/version.h" `
MICOBIN="$MICODIR/bin/mico-${MICOVERSION}-multithread-debug"
PATH="$MICODIR/bin/mico-${MICOVERSION}-multithread-debug:$PATH"
LD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-multithread-debug:${LD_LIBRARY_PATH:-}"
DYLD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-multithread-debug:${DYLD_LIBRARY_PATH:-}"
SHLIB_PATH="$MICODIR/lib/mico-${MICOVERSION}-multithread-debug:${SHLIB_PATH:-}"
LIBPATH="$MICODIR/lib/mico-${MICOVERSION}-multithread-debug:${LIBPATH:-}"
MANPATH="$MICOSHAREDDIR/man:${MANPATH:-}"
CPLUS_INCLUDE_PATH="$MICODIR/include/mico-${MICOVERSION}-multithread-debug"
LIBRARY_PATH="${LIBRARY_PATH}:$MICODIR/lib/mico-${MICOVERSION}-multithread-debug"
export MICOVERSION PATH LD_LIBRARY_PATH DYLD_LIBRARY_PATH MANPATH CPLUS_INCLUDE_PATH LIBRARY_PATH
export SHLIB_PATH LIBPATH MICODIR MICOBIN
unset prefix
unset exec_prefix
#
# source this file (source /usr/local/mico/mico.csh) in csh,tcsh to set
# up paths for MICO.
#
set prefix="${OPENBUS_HOME}"
set exec_prefix="${prefix}"
setenv MICODIR "$exec_prefix"
setenv MICOSHAREDDIR "$prefix"
setenv MICOVERSION ` sed -n '/MICO_VERSION/ { y/b/./; s#^[^"]*"\([^"]*\)".*$#\1#p; }' "$MICODIR/include/mico-2.3.13-multithread/mico/version.h" `
setenv PATH "$MICODIR/bin:$PATH"
if ( ! $?LD_LIBRARY_PATH ) setenv LD_LIBRARY_PATH ""
if ( ! $?SHLIB_PATH ) setenv SHLIB_PATH ""
if ( ! $?LIBPATH ) setenv LIBPATH ""
if ( ! $?MANPATH ) setenv MANPATH ""
if ( ! $?LIBRARY_PATH ) setenv LIBRARY_PATH ""
if ( ! $?CPLUS_INCLUDE_PATH ) setenv CPLUS_INCLUDE_PATH ""
setenv LD_LIBRARY_PATH "$MICODIR/lib/mico-${MICOVERSION}-multithread:$LD_LIBRARY_PATH"
setenv DYLD_LIBRARY_PATH "$MICODIR/lib/mico-${MICOVERSION}-multithread:$DYLD_LIBRARY_PATH"
setenv SHLIB_PATH "$MICODIR/lib/mico-${MICOVERSION}-multithread:$SHLIB_PATH"
setenv LIBPATH "$MICODIR/lib/mico-${MICOVERSION}-multithread:$LIBPATH"
setenv MANPATH "$MICOSHAREDDIR/man:$MANPATH"
setenv LIBRARY_PATH "$MICODIR/lib/mico-${MICOVERSION}-multithread:$LIBRARY_PATH"
setenv CPLUS_INCLUDE_PATH "$MICODIR/include/mico-${MICOVERSION}-multithread:$CPLUS_INCLUDE_PATH"
unset prefix
unset exec_prefix
#
# source this file (. /usr/local/mico/mico.sh) in sh,ksh,zsh,bash to set
# up paths for MICO.
#
prefix="${OPENBUS_HOME}"
exec_prefix="${prefix}"
MICODIR="$exec_prefix"
MICOSHAREDDIR="$prefix"
MICOVERSION=` sed -n '/MICO_VERSION/ { y/b/./; s#^[^"]*"\([^"]*\)".*$#\1#p; }' \
"$MICODIR/include/mico-2.3.13-multithread/mico/version.h" `
MICOBIN="$MICODIR/bin/mico-${MICOVERSION}-multithread"
PATH="$MICODIR/bin/mico-${MICOVERSION}-multithread:$PATH"
LD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-multithread:${LD_LIBRARY_PATH:-}"
DYLD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-multithread:${DYLD_LIBRARY_PATH:-}"
SHLIB_PATH="$MICODIR/lib/mico-${MICOVERSION}-multithread:${SHLIB_PATH:-}"
LIBPATH="$MICODIR/lib/mico-${MICOVERSION}-multithread:${LIBPATH:-}"
MANPATH="$MICOSHAREDDIR/man:${MANPATH:-}"
CPLUS_INCLUDE_PATH="$MICODIR/include/mico-${MICOVERSION}-multithread"
LIBRARY_PATH="${LIBRARY_PATH}:$MICODIR/lib/mico-${MICOVERSION}-multithread"
export MICOVERSION PATH LD_LIBRARY_PATH DYLD_LIBRARY_PATH MANPATH CPLUS_INCLUDE_PATH LIBRARY_PATH
export SHLIB_PATH LIBPATH MICODIR MICOBIN
unset prefix
unset exec_prefix
#
# source this file (. /usr/local/mico/mico.sh) in sh,ksh,zsh,bash to set
# up paths for MICO.
#
prefix="${OPENBUS_HOME}"
exec_prefix="${prefix}"
MICODIR="$exec_prefix"
MICOSHAREDDIR="$prefix"
MICOVERSION=` sed -n '/MICO_VERSION/ { y/b/./; s#^[^"]*"\([^"]*\)".*$#\1#p; }' \
"$MICODIR/include/mico-2.3.13-singlethread-debug/mico/version.h" `
MICOBIN="$MICODIR/bin/mico-${MICOVERSION}-singlethread-debug"
PATH="$MICODIR/bin/mico-${MICOVERSION}-singlethread-debug:$PATH"
LD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread-debug:${LD_LIBRARY_PATH:-}"
DYLD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread-debug:${DYLD_LIBRARY_PATH:-}"
SHLIB_PATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread-debug:${SHLIB_PATH:-}"
LIBPATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread-debug:${LIBPATH:-}"
MANPATH="$MICOSHAREDDIR/man:${MANPATH:-}"
CPLUS_INCLUDE_PATH="$MICODIR/include/mico-${MICOVERSION}-singlethread-debug"
LIBRARY_PATH="${LIBRARY_PATH}:$MICODIR/lib/mico-${MICOVERSION}-singlethread-debug"
export MICOVERSION PATH LD_LIBRARY_PATH DYLD_LIBRARY_PATH MANPATH CPLUS_INCLUDE_PATH LIBRARY_PATH
export SHLIB_PATH LIBPATH MICODIR MICOBIN
unset prefix
unset exec_prefix
#
# source this file (source /usr/local/mico/mico.csh) in csh,tcsh to set
# up paths for MICO.
#
set prefix="${OPENBUS_HOME}"
set exec_prefix="${prefix}"
setenv MICODIR "$exec_prefix"
setenv MICOSHAREDDIR "$prefix"
setenv MICOVERSION ` sed -n '/MICO_VERSION/ { y/b/./; s#^[^"]*"\([^"]*\)".*$#\1#p; }' "$MICODIR/include/mico-2.3.13-singlethread/mico/version.h" `
setenv MICOBIN "$MICODIR/bin/mico-${MICOVERSION}-singlethread"
setenv PATH "$MICODIR/bin:$PATH"
if ( ! $?LD_LIBRARY_PATH ) setenv LD_LIBRARY_PATH ""
if ( ! $?SHLIB_PATH ) setenv SHLIB_PATH ""
if ( ! $?LIBPATH ) setenv LIBPATH ""
if ( ! $?MANPATH ) setenv MANPATH ""
if ( ! $?LIBRARY_PATH ) setenv LIBRARY_PATH ""
if ( ! $?CPLUS_INCLUDE_PATH ) setenv CPLUS_INCLUDE_PATH ""
setenv LD_LIBRARY_PATH "$MICODIR/lib/mico-${MICOVERSION}-singlethread:$LD_LIBRARY_PATH"
setenv DYLD_LIBRARY_PATH "$MICODIR/lib/mico-${MICOVERSION}-singlethread:$DYLD_LIBRARY_PATH"
setenv SHLIB_PATH "$MICODIR/lib/mico-${MICOVERSION}-singlethread:$SHLIB_PATH"
setenv LIBPATH "$MICODIR/lib/mico-${MICOVERSION}-singlethread:$LIBPATH"
setenv MANPATH "$MICOSHAREDDIR/man:$MANPATH"
setenv LIBRARY_PATH "$MICODIR/lib/mico-${MICOVERSION}-singlethread:$LIBRARY_PATH"
setenv CPLUS_INCLUDE_PATH "$MICODIR/include/mico-${MICOVERSION}-singlethread:$CPLUS_INCLUDE_PATH"
unset prefix
unset exec_prefix
#
# source this file (. /usr/local/mico/mico.sh) in sh,ksh,zsh,bash to set
# up paths for MICO.
#
prefix="${OPENBUS_HOME}"
exec_prefix="${prefix}"
MICODIR="$exec_prefix"
MICOSHAREDDIR="$prefix"
MICOVERSION=` sed -n '/MICO_VERSION/ { y/b/./; s#^[^"]*"\([^"]*\)".*$#\1#p; }' \
"$MICODIR/include/mico-2.3.13-singlethread/mico/version.h" `
MICOBIN="$MICODIR/bin/mico-${MICOVERSION}-singlethread"
PATH="$MICODIR/bin/mico-${MICOVERSION}-singlethread:$PATH"
LD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread:${LD_LIBRARY_PATH:-}"
DYLD_LIBRARY_PATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread:${DYLD_LIBRARY_PATH:-}"
SHLIB_PATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread:${SHLIB_PATH:-}"
LIBPATH="$MICODIR/lib/mico-${MICOVERSION}-singlethread:${LIBPATH:-}"
MANPATH="$MICOSHAREDDIR/man:${MANPATH:-}"
CPLUS_INCLUDE_PATH="$MICODIR/include/mico-${MICOVERSION}-singlethread"
LIBRARY_PATH="${LIBRARY_PATH}:$MICODIR/lib/mico-${MICOVERSION}-singlethread"
export MICOVERSION PATH LD_LIBRARY_PATH DYLD_LIBRARY_PATH MANPATH CPLUS_INCLUDE_PATH LIBRARY_PATH
export SHLIB_PATH LIBPATH MICODIR MICOBIN
unset prefix
unset exec_prefix
#!/bin/csh
# This script sets environment variables for domain sample-domain
# example in solaris
#setenv ORBIX_HOME /home/msv/openbus/third-party/orbix63sun510sparc/asp/6.3
if ( ! $?ORBIX_HOME ) then
echo "Missing ORBIX_HOME system variable."
else
echo Setting ORBIX environment for domain sample-domain
setenv PATH "${OPENBUS_HOME}/specs/shell/orbix:${ORBIX_HOME}/bin:${ORBIX_HOME}/../../etc/bin:${PATH}"
setenv IT_PRODUCT_DIR "${ORBIX_HOME}/../../"
setenv IT_DOMAIN_NAME "sample-domain"
setenv IT_CONFIG_DOMAINS_DIR "${ORBIX_HOME}/../../etc/domains"
setenv IT_LICENSE_FILE "${ORBIX_HOME}/../../etc/licenses.txt"
#: ${CLASSPATH:=""}
#setenv CLASSPATH "${ORBIX_HOME}/lib/asp-corba.jar:${ORBIX_HOME}/../../etc/domains/sample-domain:$CLASSPATH"
if (`uname -m` == "x86_64") then
setenv LD_LIBRARY_PATH "${ORBIX_HOME}/../../shlib/lib64:${ORBIX_HOME}/../../shlib/default/lib64:$LD_LIBRARY_PATH"
else
setenv LD_LIBRARY_PATH "${ORBIX_HOME}/../../shlib:${ORBIX_HOME}/../../shlib/default:$LD_LIBRARY_PATH"
endif
if (`uname -s` == "SunOS") then
setenv LD_LIBRARY_PATH "$LD_LIBRARY_PATH:${ORBIX_HOME}/../../shlib/sparcv9:${ORBIX_HOME}/../../shlib/default/sparcv9"
setenv LD_LIBRARY_PATH_64 "${ORBIX_HOME}/../../shlib/sparcv9:${ORBIX_HOME}/../../shlib/default/sparcv9:$LD_LIBRARY_PATH_64"
endif
endif
#!/bin/ksh
# This script sets environment variables for domain sample-domain
# example in solaris
#export ORBIX_HOME=/home/msv/openbus/third-party/orbix63sun510sparc/asp/6.3
if [ -z "${ORBIX_HOME}" ]; then
echo "Missing ORBIX_HOME system variable."
else
echo Setting ORBIX environment for domain sample-domain
PATH=$OPENBUS_HOME/specs/shell/orbix:$ORBIX_HOME/bin:$ORBIX_HOME/../../etc/bin:$PATH
export PATH
export IT_PRODUCT_DIR="$ORBIX_HOME/../../"
export IT_DOMAIN_NAME="sample-domain"
export IT_CONFIG_DOMAINS_DIR="$ORBIX_HOME/../../etc/domains"
export IT_LICENSE_FILE="$ORBIX_HOME/../../etc/licenses.txt"
#: ${CLASSPATH:=""}
#CLASSPATH=$ORBIX_HOME/lib/asp-corba.jar:$ORBIX_HOME/../../etc/domains/sample-domain:$CLASSPATH:; export CLASSPATH
if [ "`uname -m`" == "x86_64" ];
then
LD_LIBRARY_PATH="${ORBIX_HOME}/../../shlib/lib64:${ORBIX_HOME}/../../shlib/default/lib64:$LD_LIBRARY_PATH"
else
LD_LIBRARY_PATH="${ORBIX_HOME}/../../shlib:${ORBIX_HOME}/../../shlib/default:$LD_LIBRARY_PATH"
fi
if [ "`uname -s`" == "SunOS" ];
then
LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$ORBIX_HOME/../../shlib/sparcv9:$ORBIX_HOME/../../shlib/default/sparcv9"
LD_LIBRARY_PATH_64="$ORBIX_HOME/../../shlib/sparcv9:$ORBIX_HOME/../../shlib/default/sparcv9:$LD_LIBRARY_PATH_64"
fi
export LD_LIBRARY_PATH
export LD_LIBRARY_PATH_64
fi
#!/bin/bash
##helpers
function is_dir {
dir=$1
if [ ! -d "$dir" ]; then
echo "[ ERROR ] Missing directory $dir"
return 1
fi
return 0
}
function die {
echo -e $@
exit 1
}
function fetch_tecmake {
FILE="tecmake-3.21.tar.gz"
URL="http://www.tecgraf.puc-rio.br/tecmake/download/${FILE}"
#see SOURCES definition in the ##variables section of this script
export TECMAKE_HOME="${SOURCES}/tecmake"
if [ ! -d "${TECMAKE_HOME}" ]; then
pushd /tmp >/dev/null
wget ${URL} || die "[ ERROR ] Failed to download the Tecmake from ${URL}"
mkdir -p tecmake
pushd tecmake >/dev/null
gzip -d ../${FILE}
TARFILE=`echo ${FILE}|sed 's/.gz//'`
tar -xf ../${TARFILE}
popd >/dev/null
mkdir -p ${TECMAKE_HOME}
mv tecmake/* ${TECMAKE_HOME}/
chmod +x ${TECMAKE_HOME}/tecmake
sed -e "s#TECMAKE_HOME.*#TECMAKE_HOME=${TECMAKE_HOME}#" ${TECMAKE_HOME}/tec_uname.bsh > ${TEMPFILE}
mv ${TEMPFILE} ${TECMAKE_HOME}/tec_uname.bsh
sed -e "s#TECMAKE_HOME.*#TECMAKE_HOME ${TECMAKE_HOME}#" ${TECMAKE_HOME}/tec_uname.csh > ${TEMPFILE}
mv ${TEMPFILE} ${TECMAKE_HOME}/tec_uname.csh
rm -f ${FILE} ${TARFILE} ${TEMPFILE}
rm -rf tecmake
popd >/dev/null